Skip to content

OFAC & PEP Only

Request

Method: POST

URL: https://{{environment}}.ridx.io/ca/aml-pep

Headers

Header Value
Content-Type application/json
token {{access_token}}

Request Body

Property Type Description
fuzziness Number String
search_name Object Requires two String properties; first_name, last_name and middle_names (Optional). Overridden by search_query if present
search_query String Name of person to search for
birthYear String Optional. Birth year of person in YYYY format
exact_match Boolean Optional. Exact match disables all standard and optional matching behaviours ( Honorifics, affixes, initials, glued name, name variation, equivalent names, extra words in entity,...) apart from word order and AKA matching. 0% fuzziness disables 1 letter typo matching but keeps all other matching behaviours (standard and optional)
country_codes Array of ISO 3166-1 alpha-2 strings Optional. Results are filtered by the entity nationality or country of residence

Important Response Data In content.data

Useful properties in the search result data.

Property Type Description
match_status 200 Flag which singals the success of the search, possible values are true_positive, potential_match and no_match
total_hits Integer Count of articles or documents found by the search query
hits Array Array of objects containing all articles or documents found by the search query
hits[index].score Float Score returned for each match. Results with higher scores are more reliable

Example Requests

{
  "fuzziness": 1,
  "search_name": {
    "first_name": "John",
    "last_name": "Smith",
    "middle_names": "Allen"
  },
  "birthYear": "1984",
  "country_codes": ["AU"],
  "exact_match": false
}
{
  "fuzziness": 0,
  "search_query": "Sample Company Ltd",
  "exact_match": false
}
{
  "fuzziness": 1,
  "search_query": ""
}

Example Responses

Status: 200 OK

{
  "code": 200,
  "status": "success",
  "content": {
    "data": {
      "id": <id>,
      "ref": "<ref_id>",
      "searcher_id": <id>,
      "assignee_id": <id>,
      "filters": {
        "birth_year": 1984,
        "country_codes": ["AU"],
        "remove_deceased": 1,
        "types": [
          "pep",
          "pep-class-1",
          "pep-class-4",
          "pep-class-3",
          "sanction"
        ],
        "exact_match": false,
        "fuzziness": 1
      },
      "match_status": "potential_match",
      "risk_level": "unknown",
      "search_term": "John Allen Smith",
      "submitted_term": "John Allen Smith",
      "client_ref": "<ref_id>",
      "total_hits": 1,
      "updated_at": "2019-12-23 01:40:31",
      "created_at": "2019-12-23 01:40:31",
      "tags": [],
      "limit": 100,
      "offset": 0,
      "searcher": {
        "id": <id>,
        "email": "your@email.com",
        "name": "Your Name",
        "phone": null,
        "created_at": "2018-10-18 16:29:13"
      },
      "assignee": {
        "id": <id>,
        "email": "your@email.com",
        "name": "Your Name",
        "phone": null,
        "created_at": "2018-10-18 16:29:13"
      },
      "hits": [
        {
          "doc": {
            "aka": [
              {
                "name": "A. J. Smit"
              }
            ],
            "entity_type": "person",
            "fields": [
              {
                "name": "Country",
                "value": "Netherlands"
              },
              {
                "name": "Countries",
                "tag": "country_names",
                "value": "Netherlands"
              },
              {
                "name": "Political Position",
                "tag": "political_position",
                "value": "Raadsheer"
              },
              {
                "name": "Chamber",
                "value": "District Court"
              },
              {
                "name": "Related URL",
                "tag": "related_url",
                "value": "https://www.rechtspraak.nl/Organisatie-en-contact/Organisatie/Centrale-Raad-van-beroep/Paginas/default.aspx"
              },
              {
                "name": "Active Start Date",
                "tag": "active_start_date",
                "value": "2013-01-01"
              },
              {
                "locale": "en",
                "name": "Related Url",
                "tag": "related_url",
                "value": "http://namenlijst.rechtspraak.nl/ResultPage.aspx"
              }
            ],
            "id": "<id>",
            "keywords": [],
            "last_updated_utc": "2018-12-14T15:49:43Z",
            "name": "A. J. Smit",
            "types": [
              "pep",
              "pep-class-1"
            ]
          },
          "match_types": [
            "unknown"
          ],
          "match_types_details": {
            "A J Smit": {
              "match_types": {
                "allen": [
                  "initial_name"
                ],
                "john": [
                  "initial_name"
                ],
                "smith": [
                  "name_fuzzy"
                ]
              },
              "type": "name"
            }
          },
          "score": 13.183282,
          "match_status": "potential_match",
          "is_whitelisted": false
        }
      ]
    }
  }
}

Status: 200 OK

{
  "code": 200,
  "status": "success",
  "content": {
    "data": {
      "id": <id>,
      "ref": "<ref_id>",
      "searcher_id": <id>,
      "assignee_id": <id>,
      "filters": {
        "country_codes": [],
        "remove_deceased": 1,
        "types": [
          "pep",
          "pep-class-1",
          "pep-class-4",
          "pep-class-3",
          "sanction"
        ],
        "exact_match": false,
        "fuzziness": 0
      },
      "match_status": "no_match",
      "risk_level": "unknown",
      "search_term": "Sample Company Ltd",
      "submitted_term": "Sample Company Ltd",
      "client_ref": "<client_ref>",
      "total_hits": 0,
      "updated_at": "2019-12-23 01:44:30",
      "created_at": "2019-12-23 01:44:30",
      "tags": [],
      "limit": 100,
      "offset": 0,
      "searcher": {
        "id": <id>,
        "email": "your@email.com",
        "name": "Your Name",
        "phone": null,
        "created_at": "2018-10-18 16:29:13"
      },
      "assignee": {
        "id": <id>,
        "email": "your@email.com",
        "name": "Your Name",
        "phone": null,
        "created_at": "2018-10-18 16:29:13"
      },
      "hits": []
    }
  }
}

Status: 400 Bad Request

{
  "code": 400,
  "status": "error",
  "message": "Invalid search query. Please check your API request body."
}